# Copyright (C) 2022 Cochise Ruhulessin
#
# All rights reserved. No warranty, explicit or implicit, provided. In
# no event shall the author(s) be liable for any claim or damages.
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
from typing import Any

from headless.core import httpx
from headless.core import LinearBackoff
from headless.types import IBackoff


class PublicClient(httpx.Client):
    recover_ratelimit: bool = False
    backoff: IBackoff = LinearBackoff(5, 30)

    def __init__(
        self,
        domain: str,
        *args: Any,
        **kwargs: Any
    ):
        headers = kwargs.setdefault('headers', {})
        headers.update({
            'Accept': 'application/json'
        })
        super().__init__(base_url=f'https://{domain}', *args, **kwargs)